package com.friday.custody.service.basicService;

import com.baomidou.mybatisplus.extension.service.IService;
import com.friday.custody.entity.PublicDataDirectoryEntity;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.R;

import java.util.Map;

/**
 * 公用数据名称表
 *
 * @author  K2511571
 * @date 2022-08-16 16:12:06
 */
public interface PublicDataDirectoryService extends IService<PublicDataDirectoryEntity> {

    PageUtils queryPage(Map<String, Object> params);

    R queryList(String params);

    String queryByType(String type);
}

